linux: 3.11.0-26.45 -proposed tracker

Bug #1338556 reported by Luis Henriques on 2014-07-07
18
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Medium
Unassigned
Automated-testing
Medium
Canonical Kernel Team
Certification-testing
Medium
Canonical Hardware Certification
Prepare-package
Medium
Luis Henriques
Prepare-package-meta
Medium
Luis Henriques
Prepare-package-signed
Medium
Luis Henriques
Promote-to-proposed
Medium
Chris J Arges
Promote-to-security
Medium
Adam Conrad
Promote-to-updates
Medium
Adam Conrad
Regression-testing
Medium
Paul Larson
Security-signoff
Medium
John Johansen
Verification-testing
Medium
Canonical Kernel Team
linux (Ubuntu)
Undecided
Unassigned
Saucy
Medium
Unassigned

Bug Description

This bug is for tracking the 3.11.0-26.44 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Monday, 07. July 2014 12:18 UTC
kernel-stable-Prepare-package-end:Monday, 07. July 2014 20:10 UTC
kernel-stable-Promote-to-proposed-start:Monday, 07. July 2014 20:10 UTC
ppa-package-testing-start:Monday, 07. July 2014 20:10 UTC
kernel-stable-Promote-to-proposed-end:Wednesday, 09. July 2014 14:36 UTC
kernel-stable-Verification-testing-start:Wednesday, 09. July 2014 16:02 UTC
kernel-stable-Certification-testing-start:Wednesday, 09. July 2014 16:02 UTC
kernel-stable-Security-signoff-start:Wednesday, 09. July 2014 16:03 UTC
kernel-stable-Regression-testing-start:Wednesday, 09. July 2014 16:03 UTC
kernel-stable-Regression-testing-end:Thursday, 10. July 2014 05:01 UTC
kernel-stable-Verification-testing-end:Monday, 14. July 2014 13:01 UTC
kernel-stable-Promote-to-updates-end:Wednesday, 16. July 2014 20:01 UTC
kernel-stable-phase:Released
kernel-stable-phase-changed:Wednesday, 16. July 2014 21:02 UTC

Luis Henriques (henrix) on 2014-07-07
tags: added: kernel-release-tracking-bug
tags: added: saucy
Changed in kernel-sru-workflow:
status: New → In Progress
importance: Undecided → Medium
Changed in linux (Ubuntu):
status: New → Invalid
Changed in linux (Ubuntu Saucy):
importance: Undecided → Medium

All builds are complete, packages in this bug can be copied to -proposed.

Derivative packages from packages here can be worked on, the following tracking bugs were opened for them:
linux-lowlatency - bug 1338763
linux-ppc - bug 1338764

Backport packages from packages here can be worked on, the following tracking bugs were opened for them:
linux-lts-saucy (precise) - bug 1338766

description: updated

promoted linux 3.11.0-26.44, linux-meta 3.11.0.26.27, and linux-signed 3.11.0-26.44 into proposed

Brad Figg (brad-figg) on 2014-07-09
description: updated
Brad Figg (brad-figg) on 2014-07-09
description: updated
Paul Larson (pwlars) on 2014-07-10
tags: added: qa-testing-passed
Brad Figg (brad-figg) on 2014-07-10
description: updated
Brad Figg (brad-figg) on 2014-07-14
description: updated
Luis Henriques (henrix) on 2014-07-16
summary: - linux: 3.11.0-26.44 -proposed tracker
+ linux: 3.11.0-26.45 -proposed tracker
Launchpad Janitor (janitor) wrote :
Download full text (7.9 KiB)

This bug was fixed in the package linux - 3.11.0-26.45

---------------
linux (3.11.0-26.45) saucy; urgency=low

  [ Upstream Kernel Changes ]

  * l2tp: Privilege escalation in ppp over l2tp sockets
    - LP: #1341472
    - CVE-2014-4943

linux (3.11.0-26.44) saucy; urgency=low

  [ Luis Henriques ]

  * Merged back Ubuntu-3.11.0-24.42 security release
  * Revert "x86_64,ptrace: Enforce RIP <= TASK_SIZE_MAX (CVE-2014-4699)"
    - LP: #1337339
  * Release Tracking Bug
    - LP: #1338556

  [ Upstream Kernel Changes ]

  * ptrace,x86: force IRET path after a ptrace_stop()
    - LP: #1337339
    - CVE-2014-4699

linux (3.11.0-25.43) saucy; urgency=low

  [ Luis Henriques ]

  * Release Tracking Bug
    - LP: #1336203

  [ Upstream Kernel Changes ]

  * cfg80211: free sme on connection failures
    - LP: #1335084
  * sched: Sanitize irq accounting madness
    - LP: #1335084
  * sched: Use CPUPRI_NR_PRIORITIES instead of MAX_RT_PRIO in cpupri check
    - LP: #1335084
  * net: cpsw: fix null dereference at probe
    - LP: #1335084
  * mac80211: fix suspend vs. association race
    - LP: #1335084
  * mac80211: fix on-channel remain-on-channel
    - LP: #1335084
  * af_iucv: wrong mapping of sent and confirmed skbs
    - LP: #1335084
  * net: filter: s390: fix JIT address randomization
    - LP: #1335084
  * perf: Limit perf_event_attr::sample_period to 63 bits
    - LP: #1335084
  * perf: Prevent false warning in perf_swevent_add
    - LP: #1335084
  * drm/gf119-/disp: fix nasty bug which can clobber SOR0's clock setup
    - LP: #1335084
  * drm/radeon: also try GART for CPU accessed buffers
    - LP: #1335084
  * drm/radeon: handle non-VGA class pci devices with ATRM
    - LP: #1335084
  * drm/radeon: fix register typo on si
    - LP: #1335084
  * drm/radeon: avoid segfault on device open when accel is not working.
    - LP: #1335084
  * can: peak_pci: prevent use after free at netdev removal
    - LP: #1335084
  * nfsd4: remove lockowner when removing lock stateid
    - LP: #1335084
  * nfsd4: warn on finding lockowner without stateid's
    - LP: #1335084
  * hwpoison, hugetlb: lock_page/unlock_page does not match for handling a
    free hugepage
    - LP: #1335084
  * mm/memory-failure.c: fix memory leak by race between poison and
    unpoison
    - LP: #1335084
  * netfilter: ipv4: defrag: set local_df flag on defragmented skb
    - LP: #1335084
  * ARM: OMAP3: clock: Back-propagate rate change from cam_mclk to dpll4_m5
    on all OMAP3 platforms
    - LP: #1335084
  * dma: dw: allow shared interrupts
    - LP: #1335084
  * dmaengine: dw: went back to plain {request,free}_irq() calls
    - LP: #1335084
  * ARM: omap5: hwmod_data: Correct IDLEMODE for McPDM
    - LP: #1335084
  * Input: synaptics - add min/max quirk for the ThinkPad W540
    - LP: #1335084
  * futex: Add another early deadlock detection check
    - LP: #1335084
  * futex: Prevent attaching to kernel threads
    - LP: #1335084
  * ARM: OMAP4: Fix the boot regression with CPU_IDLE enabled
    - LP: #1335084
  * cpufreq: remove race while accessing cur_policy
    - LP: #1335084
  * cpufreq: cpu0: drop wrong devm usage
    - LP: #1335084
  * ARM: imx: fix error handling in ipu devic...

Read more...

Changed in linux (Ubuntu Saucy):
status: New → Fix Released
Brad Figg (brad-figg) on 2014-07-16
description: updated

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated
John Johansen (jjohansen) wrote :

USN already released

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers